Page MenuHomeFreeBSD

iconv_std: complete the //IGNORE support
ClosedPublic

Authored by kevans on Feb 22 2022, 5:26 PM.
Tags
None
Referenced Files
F84546061: D34345.diff
Sat, May 25, 7:46 AM
Unknown Object (File)
Tue, May 21, 8:50 PM
Unknown Object (File)
Thu, Apr 25, 3:37 PM
Unknown Object (File)
Apr 22 2024, 10:47 AM
Unknown Object (File)
Apr 22 2024, 10:47 AM
Unknown Object (File)
Apr 22 2024, 10:47 AM
Unknown Object (File)
Apr 22 2024, 10:06 AM
Unknown Object (File)
Mar 3 2024, 8:37 PM
Subscribers

Details

Summary

Previously, it would only ignore failures due to csmapper conversion
failure. It may be the case that the input string contains invalid
sequences that also need to be ignored.

A good example of //IGNORE application is sanitizing user- or remotely-
specified strings that are expected to be UTF-8; perhaps as part of a
pipeline that will feed the result into a system less tested against or
tolerant of illegal UTF-8 sequences.

Sponsored by: Klara, Inc.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 44538
Build 41426: arc lint + arc unit

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Aug 11 2022, 4:44 PM
This revision was automatically updated to reflect the committed changes.